Error GoogleSignIn comand ionic capacitor build

hello I’ve been having this error for several days in order to copy my app in ios when I run the command in ionic : ionic capacitor build, and choose the IOS platform I get the following error that I don’t know how to solve.

:heavy_multiplication_x: Updating iOS native dependencies with pod install - failed!
[capacitor] :heavy_multiplication_x: update ios - failed!
[capacitor] 2022-10-23T15:26:21.176Z capacitor:telemetry Could not obtain unique app identifier
[capacitor] [error] Analyzing dependencies
[capacitor] [!] CocoaPods could not find compatible versions for pod “GoogleSignIn”:
[capacitor] In Podfile:
[capacitor] CodetrixStudioCapacitorGoogleAuth (from ../../node_modules/@codetrix-studio/capacitor-google-auth) was resolved to 0.0.1, which depends on
[capacitor] GoogleSignIn (~> 6.0.1)
[capacitor]
[capacitor] CordovaPluginsStatic (from ../capacitor-cordova-ios-plugins) was resolved to 4.2.0, which depends on
[capacitor] GoogleSignIn (~> 5.0.2)
[capacitor]

Please, has anyone had this problem, how can I solve this? I’m stuck here for several days and I don’t know what to do or how to get out, I can’t find much on google. thanks.